# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "sqruff-lib"
version = "0.25.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A high-speed SQL linter."
readme = false
license = "Apache-2.0"
repository = "https://github.com/quarylabs/sqruff"

[package.metadata.cargo-machete]
ignored = ["strum"]

[lib]
name = "sqruff_lib"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"
doctest = false
bench = false

[[test]]
name = "rules"
path = "tests/rules.rs"
harness = false

[[test]]
name = "templaters"
path = "tests/templaters.rs"
harness = false

[[bench]]
name = "depth_map"
path = "benches/depth_map.rs"
harness = false

[[bench]]
name = "fix"
path = "benches/fix.rs"
harness = false

[[bench]]
name = "parsing"
path = "benches/parsing.rs"
harness = false

[dependencies.ahash]
version = "0.8.11"
features = [
    "compile-time-rng",
    "serde",
]

[dependencies.anstyle]
version = "1.0"

[dependencies.append-only-vec]
version = "0.1.5"

[dependencies.common-path]
version = "1.0.0"

[dependencies.configparser]
version = "3.1.0"

[dependencies.dyn-clone]
version = "1"

[dependencies.enum_dispatch]
version = "0.3.13"

[dependencies.fancy-regex]
version = "0.14.0"

[dependencies.indexmap]
version = "2.7.1"

[dependencies.itertools]
version = "0.14.0"

[dependencies.lazy-regex]
version = "3.2.0"

[dependencies.nohash-hasher]
version = "0.2.0"

[dependencies.phf]
version = "0.11.2"
features = [
    "macros",
    "unicase",
]

[dependencies.pretty_assertions]
version = "1.4.0"

[dependencies.pyo3]
version = "0.23.3"
features = ["auto-initialize"]
optional = true

[dependencies.rayon]
version = "1.10.0"

[dependencies.regex]
version = "1"

[dependencies.rustc-hash]
version = "2.1.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9.34"
optional = true

[dependencies.smol_str]
version = "0.3.1"

[dependencies.sqruff-lib-core]
version = "0.25.1"

[dependencies.sqruff-lib-dialects]
version = "0.25.1"

[dependencies.strum]
version = "0.26.3"

[dependencies.strum_macros]
version = "0.26.4"

[dependencies.tracing]
version = "0.1.41"

[dependencies.unicase]
version = "2.7.0"

[dependencies.walkdir]
version = "2.5.0"

[dev-dependencies.criterion]
version = "0.5"

[dev-dependencies.expect-test]
version = "1.5"

[dev-dependencies.glob]
version = "0.3"

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.serde_with]
version = "3.9"

[dev-dependencies.serde_yaml]
version = "0.9.34"

[features]
python = [
    "pyo3",
    "sqruff-lib-core/serde",
]

[target.'cfg(all(any(target_arch = "wasm32", target_arch = "wasm64"), target_os = "unknown"))'.dependencies.getrandom]
version = "0.2"
features = ["js"]

[target.'cfg(all(not(target_os = "windows"), not(target_os = "openbsd"), any(target_arch = "x86_64", target_arch = "aarch64", target_arch = "powerpc64")))'.dependencies.jemallocator]
version = "0.6.0"
package = "tikv-jemallocator"

[target."cfg(unix)".dev-dependencies.pprof]
version = "0.14"
features = [
    "flamegraph",
    "criterion",
]

[lints.clippy]
cloned_instead_of_copied = "warn"
perf = "warn"

[lints.rust]
unreachable_pub = "warn"
unused_qualifications = "warn"
